\name{BSgenome.Scerevisiae.UCSC.sacCer1}
\docType{package}

\alias{BSgenome.Scerevisiae.UCSC.sacCer1-package}
\alias{BSgenome.Scerevisiae.UCSC.sacCer1}
\alias{Scerevisiae}

\title{Saccharomyces cerevisiae (Yeast) full genome (UCSC version sacCer1)}

\description{
  Saccharomyces cerevisiae (Yeast) full genome as provided by UCSC (sacCer1, Oct. 2003) and stored in Biostrings objects.
}

\details{
  
}

\note{
  This BSgenome data package was made from the following source data files:
  \preformatted{
chromFa.zip from http://hgdownload.cse.ucsc.edu/goldenPath/sacCer1/bigZips/

  }

  See \code{?\link[BSgenome]{BSgenomeForge}} and the BSgenomeForge
  vignette (\code{vignette("BSgenomeForge")}) in the \pkg{BSgenome}
  software package for how to make a BSgenome data package.
}

\author{The Bioconductor Dev Team}

\seealso{
  \itemize{
    \item \link[BSgenome]{BSgenome} objects and the
          \code{\link[BSgenome]{available.genomes}} function
          in the \pkg{BSgenome} software package.
    \item \link[Biostrings]{DNAString} objects in the \pkg{Biostrings}
          package.
    \item The BSgenomeForge vignette (\code{vignette("BSgenomeForge")})
          in the \pkg{BSgenome} software package for how to make a BSgenome
          data package.
  }
}

\examples{
BSgenome.Scerevisiae.UCSC.sacCer1
genome <- BSgenome.Scerevisiae.UCSC.sacCer1
seqlengths(genome)
genome$chr1  # same as genome[["chr1"]]

## See the GenomeSearching vignette in the BSgenome software
## package for some examples of genome-wide motif searching using
## Biostrings and the BSgenome data packages:
if (interactive())
    vignette("GenomeSearching", package="BSgenome")
}

\keyword{package}
\keyword{data}
